Subject: git clone, hardlinks and multiple users?

From: Marc Herbert <[email-masked]>
Date: Fri, 20 Jan 2012 17:31:59 +0000

Hi,

   "git clone" is using hardlinks by default, even when cloning from a 
different user. In such a case the clone ends up with a number of files 
owned by someone else.

Since only immutable objects are cloned this seems to work fine. However 
I would like to know if this "multiple users" case works by chance or by 
specification.

In other words, is there a guarantee that no later version of git or no 
obscure option I haven't used yet will ever try to touch a hardlink in 
any way like for instance: trying update some metadata timestamp or, 
overwrite it with the same value by lack of optimization, or any other 
kind of side-effect that would obviously fail.

Thanks in advance!

Marc